---
kind: pipeline
type: ssh
name: Homegrade | Déploiment du Thème

clone:
        disable: true

server:
        host:
                from_secret: build_server_host
        user:
                from_secret: build_server_user
        password:
                from_secret: build_server_password

steps:
        - name: Clonage du Repo
          commands:
                  - git clone https://git.deligraph.be/Antoine/homegrade_theme_production.git
        - name: Installation du package
          commands:
                  - cd homegrade_theme_production
                  - npm install
        - name: Build du package
          commands:
                  - cd homegrade_theme_production
                  - npm run production
        - name: deploy-via-sftp
          image: appleboy/drone-scp
          settings:
                  host: sftp.your-server.com
                  username: your-username
                  password: your-password # Utiliser une variable d'environnement pour plus de sécurité
                  port: 22
                  target: /test/
                  source: ./build/* # Répertoire source avec les fichiers à déployer
